import { Module, MiddlewareConsumer, RequestMethod } from '@nestjs/common';
import { ExpressAdminMiddleware } from './express-admin.middleware';
import { DatabaseService } from '../database/database.service';
import { ConfigModule } from '../config/config.module';

@Module({
  imports: [ConfigModule],
  providers: [DatabaseService],
  exports: [DatabaseService]
})
export class AdminModule {
  configure(consumer: MiddlewareConsumer) {
    consumer
      .apply(ExpressAdminMiddleware)
      .forRoutes({ path: '/admin', method: RequestMethod.ALL });
  }
} 