import express, { Router } from 'express';
import passport from 'passport';
import bodyParser from 'body-parser';
import cors from 'cors';
import pujasRouter  from '../api/controllers/pujas';
import authRoutes  from '../api/controllers/auth';
import fileRoutes from '../api/controllers/file';
import utilityRoutes from '../api/controllers/utility';
import usersRoutes from '../api/controllers/users';
import karusersRoutes from '../api/controllers/karusers';
import booking_participantsRoutes from '../api/controllers/booking_participants';
import pujarisRoutes from '../api/controllers/pujaris';
import pujari_applicationsRoutes from '../api/controllers/pujari_applications';
import puja_samagri_mappingsRoutes from '../api/controllers/puja_samagri_mappings';
import booking_samagri_mappingsRoutes from '../api/controllers/booking_samagri_mappings';
import samagriRoutes from '../api/controllers/samagri';
import bookingsRoutes from '../api/controllers/bookings';
import pujaProcedures from '../api/controllers/puja_procedures';
import pujaModels from '../api/controllers/puja_models';
import pujaModelsProcedureMappings from '../api/controllers/puja_models_procedure_mappings';
import pujaModelsSamagriMappings from '../api/controllers/puja_models_samagri_mappings';
const adminRouter: Router = express.Router();

// Protected admin routes
adminRouter.use(cors());
import '../auth/auth';
adminRouter.use(bodyParser.json());

adminRouter.use('/api/auth', authRoutes);
adminRouter.use('/api/file', fileRoutes);
adminRouter.use('/api/utility', passport.authenticate('jwt', { session: false }), utilityRoutes);
adminRouter.use('/api/users', passport.authenticate('jwt', { session: false }), usersRoutes);
adminRouter.use('/api/karusers', passport.authenticate('jwt', { session: false }), karusersRoutes);
adminRouter.use('/api/booking_participants', passport.authenticate('jwt', { session: false }), booking_participantsRoutes);
adminRouter.use('/api/pujaris', passport.authenticate('jwt', { session: false }), pujarisRoutes);
adminRouter.use('/api/pujari_applications', passport.authenticate('jwt', { session: false }), pujari_applicationsRoutes);
adminRouter.use('/api/pujas', passport.authenticate('jwt', { session: false }), pujasRouter);
adminRouter.use('/api/puja_samagri_mappings', passport.authenticate('jwt', { session: false }), puja_samagri_mappingsRoutes);
adminRouter.use('/api/samagri', passport.authenticate('jwt', { session: false }), samagriRoutes);
adminRouter.use('/api/booking_samagri_mappings', passport.authenticate('jwt', { session: false }), booking_samagri_mappingsRoutes);
adminRouter.use('/api/bookings', passport.authenticate('jwt', { session: false }), bookingsRoutes);
adminRouter.use('/api/puja_procedures', passport.authenticate('jwt', { session: false }), pujaProcedures);
adminRouter.use('/api/puja_models', passport.authenticate('jwt', { session: false }), pujaModels);
adminRouter.use('/api/puja_models_procedure_mappings', passport.authenticate('jwt', { session: false }), pujaModelsProcedureMappings);
adminRouter.use('/api/puja_models_samagri_mappings', passport.authenticate('jwt', { session: false }), pujaModelsSamagriMappings);

export { adminRouter }; 