module.exports = {
    NEW_USER__ADMIN: {
        templateName: 'NEW_USER__ADMIN',
        htmlPart: `
        <div>
            {{userName}} has registered successfully.
        </div>`,
        dynamicKeys: ['userName'],
        subject: 'New User Registered'
    },
    NEW_USER__USER: {
        templateName: 'NEW_USER__USER',
        htmlPart: `
        <div>
            WELCOME TO KARISHYE
        </div>`,
        dynamicKeys: [],
        subject: 'Welcome to Karishye'
    },
    EDIT_USER__ADMIN: {
        templateName: 'EDIT_USER__ADMIN',
        htmlPart: `
        <div>
            Hi Admin,
            {{userName}} information has been updated.
        </div>`,
        dynamicKeys: ['userName'],
        subject: 'User information updated'
    },
    BOOKING_CREATE__ADMIN: {
        templateName: 'BOOKING_CREATE__ADMIN',
        htmlPart: `
        <div>
            Hello Admin,
            New Booking created successfully.
        </div>`,
        dynamicKeys: [],
        subject: 'Booking created successfully'
    },
    BOOKING_CREATE__USER: {
        templateName: 'BOOKING_CREATE__USER',
        htmlPart: `
        <div>
            Hello User,
            Your booking has been created successfully.
        </div>`,
        dynamicKeys: [],
        subject: 'Booking created successfully'
    },
    PUJARI_CREATE__PUJARI: {
        templateName: 'PUJARI_CREATE__PUJARI',
        htmlPart: `
        <div>
            Hello {{userName}},
            Your pujari profile created successfully.
        </div>`,
        dynamicKeys: ['userName'],
        subject: 'Welcome to Karishye'
    },
    PUJARI_CREATE__ADMIN: {
        templateName: 'PUJARI_CREATE__ADMIN',
        htmlPart: `
        <div>
            Hello Admin,
            A new pujari profile has been created successfully.
        </div>`,
        dynamicKeys: [],
        subject: 'New Pujari profile created'
    },
    PUJARI_ASSIGNED__PUJARI: {
        templateName: 'PUJARI_ASSIGNED__PUJARI',
        htmlPart: `
        <div>
            Hi,
            Booking - {{bookingId}} has been assigned to you.
        </div>`,
        dynamicKeys: ['bookingId'],
        subject: 'New booking assigned'
    },
    PUJARI_ASSIGNED__ADMIN: {
        templateName: 'PUJARI_ASSIGNED__ADMIN',
        htmlPart: `
        <div>
            Hello Admin,
            Pujari-{{pujariId}} assigned to a booking.
        </div>`,
        dynamicKeys: ['pujariId'],
        subject: 'Pujari assigned to booking'
    },
    PUJARI_REJECTED__ADMIN: {
        templateName: 'PUJARI_REJECTED__ADMIN',
        htmlPart: `
        <div>
            Hello Admin,
            Pujari-{{pujariId}} has rejected the booking-{{bookingId}}
        </div>`,
        dynamicKeys: ['pujariId', 'bookingId'],
        subject: 'Booking rejected by pujari'
    },
    PUJA_STATUS_UPDATE__ADMIN: {
        templateName: 'PUJA_STATUS_UPDATE__ADMIN',
        htmlPart: `
        <div>
            Hello Admin,
            Pujari status updated for the booking-{{bookingId}}.
        </div>`,
        dynamicKeys: ['bookingId'],
        subject: 'Pujari status updated to booking'
    }
};