const initializeDatabase = require("../models");


module.exports = class Karusers_pujari_mappingsDBApi {
  static async getDb() {
    return await initializeDatabase();
  }

  static async create(data) {
    const db = await this.getDb();
    try {
      const karusers_pujari_mappings =
        await db.karuser_pujari_mappings.bulkCreate(data);

      console.log("=== IN BULK CREATE  RESPONSE====", karusers_pujari_mappings);
    } catch (error) {
      console.log("===== BULD CREATE ERROR WAS =====", error);
    }
    return true;
  }

  static async findByPujariId(id) {
    const db = await this.getDb();
      const karusers_pujari_mappings = await db.karuser_pujari_mappings.findAll(
        { where: { pujari_id: id } }
      );
      return karusers_pujari_mappings;
  }

  static async remove(id) {
    const db = await this.getDb();
    const karusers_pujari_mappings = await db.karuser_pujari_mappings.destroy({
      where: { pujari_id: id },
      force: true,
    });

    return karusers_pujari_mappings;
  }

  static async findAll() {
    const db = await this.getDb();
    let { rows, count } = await db.karuser_pujari_mappings.findAndCountAll();
    return { rows, count };
  }

  static async checkWhetherMappingExists(pujariId, karuserId, options) {
    const db = await this.getDb();
    const transaction = (options && options.transaction) || undefined;

    const isMappingExists = await db.karuser_pujari_mappings.findOne(
      {
        where: {
          karuser_id: karuserId,
          pujari_id: pujariId,
        },
      },
      { transaction }
    );

    return isMappingExists;
  }
};
