const initializeDatabase = require("./models");
let dbInstance = null;
let initializationPromise = null;

async function getDbInstance() {
  if (dbInstance) {
    return dbInstance;
  }

  if (!initializationPromise) {
    initializationPromise = initializeDatabase()
      .then((instance) => {
        dbInstance = instance;
        return instance;
      })
      .catch((error) => {
        initializationPromise = null;
        throw error;
      });
  }

  return initializationPromise;
}

module.exports = getDbInstance;
