import { Column, Entity, JoinColumn, OneToMany, PrimaryColumn } from 'typeorm';
import { PujaCategoryMappings } from './puja-category-mappings';
import { SubCategories } from './sub-categories';

@Entity('categories')
export class Categories {
  @PrimaryColumn({ name: 'id', type: 'int' })
  readonly id: number;

  @Column({ name: 'name', type: 'varchar' })
  readonly name?: string;

  @Column({ name: 'description', type: 'varchar' })
  readonly description?: string;

  @OneToMany(
    () => PujaCategoryMappings,
    (categorymapping) => categorymapping.categories
  )
  readonly pujacategorymappings!: PujaCategoryMappings;

  @OneToMany(() => SubCategories, (model) => model.category)
  @JoinColumn({ name: 'id' })
  readonly subCategories!: SubCategories;

  constructor(id: number, name?: string, description?: string) {
    this.id = id;
    this.name = name;
    this.description = description;
  }
}
