import { Column, Entity, JoinColumn, ManyToOne, PrimaryColumn } from 'typeorm';
import { KarishyeUsers } from './karishye-users';

@Entity('karuser_pujari_mappings')
export class KaruserPujariMappings {
  @PrimaryColumn({ name: 'id' })
  readonly id: string;

  @Column({ name: 'pujari_id' })
  readonly pujariId?: number;

  @Column({ name: 'karuser_id', type: 'varchar' })
  readonly karuserId?: string;

  @Column({ name: 'createdAt', type: 'timestamp' })
  readonly createdAt?: Date;

  @Column({ name: 'updatedAt', type: 'timestamp' })
  readonly updatedAt?: Date;

  @ManyToOne(() => KarishyeUsers, (userref) => userref.karuserPujari)
  @JoinColumn({ name: 'karuser_id' })
    karuser!: KarishyeUsers;

  constructor(
    id: string,
    pujariId?: number,
    karuserId?: string,
    createdAt?: Date,
    updatedAt?: Date
  ) {
    this.id = id;
    this.pujariId = pujariId;
    this.karuserId = karuserId;
    this.createdAt = createdAt;
    this.updatedAt = updatedAt;
  }
}
