import { Column, Entity, OneToMany, PrimaryColumn } from 'typeorm';
import { BookingProcedureMappings } from './booking-procedure-mappings';
@Entity('puja_procedures')
export class PujaProcedures {
  @PrimaryColumn({ name: 'id' })
  readonly id: number;

  @Column({ name: 'language' })
  readonly language?: string;

  @Column({ name: 'title' })
  readonly title?: string;

  @Column({ name: 'description' })
  readonly description?: string;

  @Column({ name: 'special_notes' })
  readonly specialNotes?: string;

  @OneToMany(
    () => BookingProcedureMappings,
    (procedures) => procedures.procedure
  )
  readonly bookingproceduremapping!: BookingProcedureMappings;

  // @OneToMany(() => PujaModelProcedureMappings, (proceduremappings) => proceduremappings.pujaprocedures)
  // readonly PujaModelProcedureMappings!: PujaModelProcedureMappings

  constructor(
    id: number,
    language?: string,
    title?: string,
    description?: string,
    specialNotes?: string
  ) {
    this.id = id;
    this.language = language;
    this.title = title;
    this.description = description;
    this.specialNotes = specialNotes;
  }
}
