import { Column, Entity, JoinColumn, ManyToOne, PrimaryColumn } from 'typeorm';
import { Pujas } from './pujas';

@Entity('puja_history')
export class PujaHistory {
  @PrimaryColumn({ name: 'id', type: 'int' })
  readonly id: number;

  @Column({ name: 'puja_id', type: 'int' })
  readonly pujaId?: number;

  @Column({ name: 'title', type: 'varchar' })
  readonly title?: string;

  @Column({ name: 'description', type: 'varchar' })
  readonly description?: string;

  @ManyToOne(() => Pujas, (puja) => puja.pujaHistory)
  @JoinColumn({ name: 'puja_id' })
  readonly puja!: Pujas;

  constructor(
    id: number,
    pujaId?: number,
    title?: string,
    description?: string
  ) {
    this.id = id;
    this.pujaId = pujaId;
    this.title = title;
    this.description = description;
  }
}
