import { Column, Entity, JoinColumn, ManyToOne, PrimaryColumn } from 'typeorm';
import { BookingSamagriMappings } from './booking-samagri-mappings';
import { PujaModelSamagriMappings } from './puja-model-samagri-mappings';
import { PujaSamagriMappings } from './puja-samagri-mappings';
@Entity('samagri')
export class Samagri {
  @PrimaryColumn({ name: 'id' })
  readonly id?: number;

  @Column({ name: 'name' })
  readonly name?: string;

  @Column({ name: 'description' })
  readonly description?: string;

  @Column({ name: 'units' })
  readonly units?: string;

  @Column({ name: 'standard_qty' })
  readonly standardQty?: number;

  @Column({ name: 'cost_price' })
  readonly costPrice?: number;

  @Column({ name: 'pujari_selling_price' })
  readonly pujariSellingPrice?: number;

  @Column({ name: 'customer_mrp' })
  readonly customerMrp?: number;

  @Column({ name: 'karishye_provided' })
  readonly karishyeProvided?: string;

  @Column({ name: 'updatedAt', type: 'timestamp' })
  readonly updatedAt?: Date;

  @Column({ name: 'deletedAt', type: 'timestamp' })
  readonly deletedAt?: Date;

  @Column({ name: 'createdAt', type: 'timestamp' })
  readonly createdAt?: Date;

  @Column({ name: 'importHash', type: 'varchar' })
  readonly importHash?: string;

  @Column({ name: 'createdById', type: 'char' })
  readonly createdById?: string;

  @Column({ name: 'updatedById', type: 'char' })
  readonly updatedById?: string;

  @Column({ name: 'orderId'})
  readonly orderId?: number;

  @ManyToOne(() => PujaModelSamagriMappings, (model) => model.id)
  @JoinColumn({ name: 'id' })
  readonly pujamodelsamagrimappings!: PujaModelSamagriMappings;

  @ManyToOne(() => BookingSamagriMappings, (model) => model.id)
  @JoinColumn({ name: 'id' })
  readonly bookingsamagrimappings!: BookingSamagriMappings;

  @ManyToOne(() => PujaSamagriMappings, (model) => model.samagri)
  @JoinColumn({ name: 'id' })
  readonly pujaSamagriMappings!: PujaSamagriMappings;

  constructor(
    id?: number,
    name?: string,
    description?: string,
    units?: string,
    standardQty?: number,
    costPrice?: number,
    pujariSellingPrice?: number,
    customerMrp?: number,
    karishyeProvided?: string,
    updatedAt?: Date,
    createdAt?: Date,
    deletedAt?: Date,
    importHash?: string,
    createdById?: string,
    updatedById?: string,
    orderId?: number,
  ) {
    this.id = id;
    this.name = name;
    this.description = description;
    this.units = units;
    this.standardQty = standardQty;
    this.costPrice = costPrice;
    this.pujariSellingPrice = pujariSellingPrice;
    this.customerMrp = customerMrp;
    this.karishyeProvided = karishyeProvided;
    this.updatedAt = updatedAt;
    this.deletedAt = deletedAt;
    this.importHash = importHash;
    this.createdAt = createdAt;
    this.createdById = createdById;
    this.updatedById = updatedById;
    this.orderId = orderId;
  }
}
