import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryColumn,
} from 'typeorm';
import { Categories } from './categories';
import { PujaCategoryMappings } from './puja-category-mappings';

@Entity('sub_categories')
export class SubCategories {
  @PrimaryColumn({ name: 'id', type: 'int' })
  readonly id: number;

  @Column({ name: 'name', type: 'varchar' })
  readonly name?: string;

  @Column({ name: 'description', type: 'varchar' })
  readonly description?: string;

  @Column({ name: 'category_id', type: 'int' })
  readonly categoryId?: number;

  @Column({ name: 'images', type: 'varchar' })
  readonly images?: string;

  @OneToMany(
    () => PujaCategoryMappings,
    (subcategorymapping) => subcategorymapping.subCategories
  )
  readonly pujasubcategorymappings!: PujaCategoryMappings;

  @ManyToOne(() => Categories, (model) => model.subCategories)
  @JoinColumn({ name: 'category_id' })
  readonly category!: Categories;

  constructor(
    id: number,
    name?: string,
    description?: string,
    categoryId?: number,
    images?: string
  ) {
    this.id = id;
    this.name = name;
    this.description = description;
    this.categoryId = categoryId;
    this.images = images;
  }
}
