import { ValidationPipe } from '@nestjs/common';
import { NestFactory } from '@nestjs/core';
import { DocumentBuilder, SwaggerModule } from '@nestjs/swagger';
import { AppModule } from './app.module';
import { adminRouter } from './admin/admin.routes';
async function bootstrap() {
  const config = new DocumentBuilder()
    .setTitle('Krishye backend APIs')
    .setDescription('APIs for Karishye mobile and website')
    .setVersion('1.0')
    .build();

  const app = await NestFactory.create(AppModule);
  const document = SwaggerModule.createDocument(app, config);

  SwaggerModule.setup('api', app, document);

  app.useGlobalPipes(new ValidationPipe());
  app.enableCors({
    origin: '*',
  });
  app.use('', adminRouter);
  await app.listen(process.env.PORT || 4444);
}
bootstrap();
