import { Controller, Post, Body } from '@nestjs/common';
import { RazorpayService } from '../razorpay/razorpay.service';

@Controller('orders')
export class OrdersController {
  constructor(private readonly razorpayService: RazorpayService) {}

  @Post()
  async createOrder(@Body() createOrderDto: any) {
    const options = {
      amount: createOrderDto.amount,
      currency: 'INR',
      receipt: createOrderDto.receipt,
      payment_capture: 1,
    };
    const order = await this.razorpayService.createOrder(options);
    return order;
  }

  @Post('payment')
  async initiatePayment(@Body() paymentDetails: any): Promise<any> {
    const { amount, currency, user_id, program_registration_id } =
      paymentDetails;
    try {
      const options = {
        amount,
        currency,
        notes: {
          userId: user_id,
          program: program_registration_id,
        },
        receipt: 'recipt_abc',
      };
      const order = await this.razorpayService.initiatePayment(options);
      return order;
    } catch (error) {
      throw new Error(`Error initiating payment: ${error.message}`);
    }
  }
}
