import { HttpModule } from '@nestjs/axios';
import { MiddlewareConsumer, Module, NestModule } from '@nestjs/common';
import { EmailService } from '../email-config/email.service';
import { WhatsappService } from '../whatsapp/whatsapp.service';
import { LoggerMiddleware } from './../../middleware/logger';
import { BookingsController } from './bookings.controller';
import { BookingsService } from './bookings.service';

@Module({
  imports: [HttpModule],
  controllers: [BookingsController],
  providers: [BookingsService, WhatsappService, EmailService],
})
export class BookingsModule implements NestModule {
  configure(consumer: MiddlewareConsumer) {
    consumer.apply(LoggerMiddleware).forRoutes('*');
  }
}
