
import { ApiProperty, ApiPropertyOptional } from '@nestjs/swagger';
import { IsNumber, IsOptional, IsString } from 'class-validator';

export class SamagriDto {

    @ApiProperty()
    @IsNumber()
  public id: number;

    @ApiProperty()
    @IsString()
    public name: string;

    @ApiProperty()
    @IsString()
    public units: string;

    @ApiPropertyOptional()
    @IsString()
    @IsOptional()
    public description?: string;

    @ApiProperty()
    @IsString()
    public standard_qty: string;

    @ApiProperty()
    @IsString()
    public cost_price: number;

    @ApiProperty()
    @IsString()
    public pujari_selling_price: number;

    @ApiProperty()
    @IsString()
    public customer_mrp: number;

    @ApiProperty()
    @IsString()
    public karishye_provided: string;
}
