export const EMAIL_TEMPLATES = {
  testTemplate: {
    templateName: 'testTemplate',
    htmlPart:
      '<html><body><h1>Hello {{name}},</h1><p>Your request status is {{status}}..</p></body></html>',
    dynamicDataKeys: ['name', 'status'],
    subject: '✔   EMAIL FROM KARISHYE APP',
  },
};

export const BOOKING_EDITED = {
  testTemplate: {
    templateName: 'editedBooking',
    htmlPart:
      '<html><body><h4>Dear Customer</h4><p>Your booking with booking id {{bookingId}} is updated. Please find the booking details below.</p><h5>Booking Details: </h5><div>id: {{bookingId}}</div><div>Pujari Name: {{pujariName}}</div><div>Puja: {{puja}}</div><div>Customer name: {{customer}}</div><div>Puja cost: {{price}}</div></body></html>',
    dynamicDataKeys: ['pujariName', 'bookingId', 'price', 'puja', 'customer'],
    subject: 'Booking Edited',
  },
};

export const BOOKING_ASSIGNED = {
  testTemplate: {
    templateName: 'assignedBooking',
    htmlPart:
      '<html><body><h4>Dear Customer</h4><p>Your booking with booking id {{bookingId}} is updated.<br /> Please find the booking details below.</p><h5>Booking Details: </h5><div>id: {{bookingId}}</div><div>Pujari Name: {{pujariName}}</div><div>Puja cost: {{price}}</div><br /><div>Regards</div></body></html>',
    dynamicDataKeys: ['pujariName', 'bookingId', 'price'],
    subject: 'Booking Assigned Successfully',
  },
};

export const BOOKING_FINALIZED = {
  testTemplate: {
    templateName: 'finalizedBooking',
    htmlPart:
      '<html><body><h4>Dear Customer</h4><p>Your puja with booking id {{bookingId}} is finalized.<br /> Please find the booking details below.</p><h5>Booking Details: </h5><div>id: {{bookingId}}</div><div>Pujari Name: {{pujariName}}</div><div>Customer Name: {{userName}}</div><div>Puja cost: {{price}}</div><br /><div>To confirm the puja, Please make the payment. For payment please follow below instructions, </div><br /><div>Please do the payment through Gpay / Phonepe / Paytm to Karishye Private Limited with UPI ID: 8121007481@okbizaxis</div><br /><div>Regards</div></body></html>',
    dynamicDataKeys: ['pujariName', 'bookingId', 'price', 'userName'],
    subject: 'Puja Plan finalized',
  },
};

export const BOOKING_CREATED = {
  testTemplate: {
    templateName: 'newBooking',
    htmlPart:
      '<html><body><h4>Dear Customer</h4><p>Your puja booking has been successful with booking id {{bookingId}} and is currently being processed. We will update you further on the puja status. Thanks for working with Karishye.co</p><br /><div>Regards</div></body></html>',
    dynamicDataKeys: ['bookingId'],
    subject: 'Puja Booking Successful',
  },
};

export const BOOKING_CREATED_ADMIN = {
  testTemplate: {
    templateName: 'newBooking',
    htmlPart:
      '<html><body><h4>Dear Admin,</h4><p> A new puja booking has been successfully created with booking ID {{bookingId}}. The user name is {{username}}, and the puja {{pujaName}} iscurrently being processed. Please check the admin panel to proceedfurther. </p> <br /> <div>Regards,</div></body></html>',
    dynamicDataKeys: ['bookingId', 'mobile', 'username', 'pujaName'],
    subject: 'New Puja Booking {{mobile}}',
  },
};

export const BOOKING_STATUS = {
  testTemplate: {
    templateName: 'bookingStatus',
    htmlPart:
      '<html><body><h4>Dear Customer</h4><p>Your puja booking status updated successfully, Your latest booking status is {{status}}.</p><br /><div>Regards</div></body></html>',
    dynamicDataKeys: ['status'],
    subject: 'Puja Booking status changed',
  },
};

export const BOOKING_STATUS_ADMIN = {
  testTemplate: {
    templateName: 'bookingStatus',
    htmlPart:
      '<html><body><h4>Dear Admin</h4><p>Puja booking status updated successfully for booking id {{bookingId}}, Your latest booking status is {{status}}.</p><br /><div>Regards</div></body></html>',
    dynamicDataKeys: ['status', 'bookingId'],
    subject: 'Puja Booking status changed',
  },
};

export const NEW_USER = {
  testTemplate: {
    templateName: 'userCreated',
    htmlPart:
      '<html><body><h4>Dear Customer</h4><p>Welcome to the Karishye, looking forward to working with you.</p><br /><div>Regards</div></body></html>',
    dynamicDataKeys: [],
    subject: 'Welcome to Karishye',
  },
};
