import { HttpModule } from '@nestjs/axios';
import { MiddlewareConsumer, Module, NestModule } from '@nestjs/common';
import { LoggerMiddleware } from './../middleware/logger';
import { PujariController } from './pujari.controller';
import { PujariService } from './pujari.service';
import { UsersModule } from './users/users.module';
import { WhatsappService } from './whatsapp/whatsapp.service';

@Module({
  imports: [UsersModule, HttpModule],
  controllers: [PujariController],
  exports: [WhatsappService],
  providers: [PujariService, WhatsappService],
})
export class PujariModule implements NestModule {
  configure(consumer: MiddlewareConsumer) {
    consumer.apply(LoggerMiddleware).forRoutes('*');
  }
}
