import { MiddlewareConsumer, Module, NestModule } from '@nestjs/common';
import { LoggerMiddleware } from 'src/middleware/logger';
import { SamagriController } from './samagri.controller';
import { SamagriService } from './samagri.service';

@Module({
  imports:[],
  controllers: [SamagriController],
  exports: [],
  providers: [SamagriService]
})

export class SamagriModule implements NestModule {
  configure(consumer: MiddlewareConsumer) {
    consumer.apply(LoggerMiddleware).forRoutes('*');
  }
}