import { Injectable, Logger } from '@nestjs/common';
import { AppDataSource } from 'src/common/db-utils';
import { APIFailedException } from 'src/common/exceptions';
import { Samagri } from 'src/entities/samagri';


@Injectable()
export class SamagriService {
  logger: Logger;

  constructor() {
    this.logger = new Logger();
  }


  async getAllSamagri(): Promise<Samagri[] | null> {
    try {
      this.logger.debug('To get all samagri data');
      const repo = AppDataSource.getRepository(Samagri);
      return await repo.find();
    }catch (error: any){
      this.logger.error(error);
      throw new APIFailedException(error);
    }
  }

}