import {
  IsEnum,
  IsNumber,
  IsOptional,
  IsString,
  IsUUID,
} from 'class-validator';
import { ApiProperty, ApiPropertyOptional } from '@nestjs/swagger';
export class CreateBookingTransactionDto {
  @ApiPropertyOptional()
  @IsOptional()
  @IsUUID()
  public id?: string;

  @ApiProperty()
  @IsNumber()
  public booking_id: number;

  @ApiProperty()
  @IsString()
  public transaction_id: string;

  @ApiProperty()
  @IsString()
  public razorpay_id: string;

  @ApiProperty()
  @IsNumber()
  public paidAmount: number;

  @ApiProperty()
  @IsNumber()
  public totalAmount: number;

  @IsEnum(['success', 'failure'])
  public payment_status: 'success' | 'failure';

  @IsEnum(['poojari', 'website'])
  public payment_type: 'poojari' | 'website';
}

export class TransactionQuery {
  @ApiProperty()
  @IsString()
    booking_id: number;
}
